package base

type PkgVersion struct {
	Name              string   `db:"pkg"`
	Bundle            string   `db:"bundle"`
	Hash              string   `db:"hash"`
	FileName          string   `db:"filename"`
	SourceMapFileName string   `db:"sourcemapFileName"`
	Imports           []string `db:"imports"`
	VersionAt         string   `db:"version_at"`
}

func (this PkgVersion) GetFile() []byte
func (this PkgVersion) GetSourceMap() []byte

type GetPkgVersion func(pkg string) (PkgVersion, bool)
